import bpy

def setup_renderer(engine="CYCLES"):
    
    # Set up and do the render
    if engine=="CYCLES":
        bpy.context.scene.render.engine = 'CYCLES'
        bpy.context.scene.cycles.samples = 30.0
        bpy.context.scene.cycles.caustics_reflective = False
        bpy.context.scene.cycles.caustics_refractive = False
        bpy.context.scene.cycles.max_bounces = 0.0
    bpy.data.scenes["Scene"].render.use_border = True      # Tell Blender to use border render
    bpy.data.scenes["Scene"].render.border_max_y = 0.75    # Set the border top at 3/4 of the image's height
    bpy.data.scenes["Scene"].render.border_min_y = 0.33    # Set the border bottom at 1/3 of the image's height
    bpy.data.scenes["Scene"].render.border_min_x = 0.25    # Set the border left at 1/4 of the image's width
    bpy.data.scenes["Scene"].render.border_max_x = 0.65     # Set the border right at the image's right border
    bpy.context.scene.render.resolution_x = 600.0
    bpy.context.scene.render.resolution_percentage = 100.0   