import os
import sys
import random
import json
import product_gen.generate_product
from argparse import ArgumentParser

if __name__ == "__main__":
    
    argv = sys.argv
    argv = argv[argv.index("--") + 1:]
    shape_params = json.loads(argv[0])
    shape = shape_params['shape']
    output = shape_params['output']
    
    if not os.path.exists(os.getcwd() + "/" + output):
        os.makedirs(os.getcwd() + "/" + output)
    
    height = 1.0 + random.random()*1.5
    radius = 0.2 + random.random()*1.0
    color = [0.1, 0.1, 0.1]
    
    product_gen.generate_product.generate(shape, height, radius, color, output)

    shape_parameters = {"shape": shape, 
                        "height": height,
                        "radius": radius,
                        "color": color}
    with open(os.getcwd() + "/" + output + "/"+ output + '.json', 'w') as outfile:
        json.dump(shape_parameters, outfile)
